# Clipper Catalog

A catalog view that provides a powerful interface for all your clipped web articles and content. Easily organize, search, and manage your web clippings within your vault.

## Features

🔍 Catalog all your clipped articles in one view
📱 Fully responsive design that works on desktop and mobile
🏷️ Tag-based organization and filtering
🔄 Real-time search and sorting capabilities
⚡ Command palette integration
🎨 Clean, modern UI with theme integration
📂 Advanced directory filtering options

## Installation

### From Obsidian Community Plugins
1. Open Obsidian Settings
2. Go to Community Plugins and turn off Safe Mode
3. Click Browse and search for "Clipper Catalog"
4. Install the plugin and enable it

### Manual Installation
1. Download the latest release from GitHub
2. Extract the zip archive into your vault's `.obsidian/plugins` directory
3. Enable the plugin in Obsidian's settings

## Configuration

1. Open the plugin settings in Obsidian
2. Configure the property name that identifies clipped content (default: 'source')
3. The catalog will display all notes that contain the specified property with a URL value

## Usage

1. Open the Clipper Catalog view using:
   - Command palette: Search for "Open Clipper Catalog"
   - Or click the Clipper Catalog icon in the sidebar
2. Browse, search, and filter your clipped articles
3. Use advanced search options to exclude specific directories
4. Click on article titles to open them in your vault
5. Click on tags to filter by specific tags
6. Sort by date, title, or path

## Features

### Search and Filter
- Full-text search across titles and tags
- Tag-based filtering
- Directory exclusion options
- Real-time updates

### Organization
- Sort by multiple columns
- Advanced directory filtering
- Tag management
- Path-based organization

### Interface
- Clean, modern design
- Responsive layout
- Theme-aware styling
- Keyboard navigation

## Support

- For bugs or feature requests, please [open an issue](https://github.com/soundslikeinfo/obsidian-clipper-catalog/issues)

## Privacy

This plugin only reads and organizes notes within your local Obsidian vault. No data is sent to external servers.

## Contributing

1. Fork the repository
2. Create a feature branch
3. Commit your changes
4. Push to the branch
5. Create a Pull Request

## License
This project is licensed under the MIT License - see the LICENSE file for details.

## Frequently Asked Questions

### How does the plugin find my clipped articles?
The plugin looks for notes in your vault that contain a specified property (default: 'source') with a URL value in the frontmatter. This can be changed in the plugin's settings.

### Does it work on mobile?
Yes! The plugin is fully compatible with both desktop and mobile versions of Obsidian.

### Can I exclude certain folders from the catalog?
Yes! Use the advanced search options to exclude specific directories from your catalog view.

## Support

- For bugs or feature requests, please [open an issue](https://github.com/soundslikeinfo/obsidian-clipper-catalog/issues)

## Privacy

This plugin sends article content to OpenAI's API for processing. Please review OpenAI's privacy policy and ensure you're comfortable with their data handling practices.

## Contributing

1. Fork the repository
2. Create a feature branch
3. Commit your changes
4. Push to the branch
5. Create a Pull Request

### 🧠 Crafted with AI & Human Creativity
```
🎨 Design & Development
Greg K. (@soundslikeinfo)

🤖 AI Pair Programming
Claude 3.5 Sonnet by Anthropic
```

### 💝 Support the Project

[![GitHub Stars](https://img.shields.io/github/stars/soundslikeinfo/obsidian-clipper-catalog?style=social)](https://github.com/soundslikeinfo/obsidian-clipper-catalog)
[![Buy Me A Coffee](https://img.shields.io/badge/-buy_me_a%C2%A0coffee-gray?logo=buy-me-a-coffee)](https://www.buymeacoffee.com/soundslikeinfo)

Made with ❤️ for the Obsidian Community
